Bug 257196 - sysutils/bastille: update to 0.9.20210714
Summary: sysutils/bastille: update to 0.9.20210714
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL: https://github.com/BastilleBSD/bastil...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-07-15 00:56 UTC by Christer Edwards
Modified: 2021-08-06 13:38 UTC (History)
1 user (show)

See Also:


Attachments
patch (1.22 KB, text/plain)
2021-07-15 00:56 UTC, Christer Edwards
koobs: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2021-07-15 00:56:33 UTC
Created attachment 226475 [details]
patch

This patch updates sysutils/bastille to latest upstream release 0.9.20210714.

Release notes found here: https://github.com/BastilleBSD/bastille/releases/tag/0.9.20210714
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-15 03:45:59 UTC
^Triage: Bugfix release: MFH
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-15 03:47:34 UTC
Comment on attachment 226475 [details]
patch

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 3 Guangyuan Yang freebsd_committer 2021-07-17 09:21:03 UTC
(In reply to Christer Edwards from comment #0)

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%DATADIR%%/templates/default/linux/Bastillefile
Comment 4 commit-hook freebsd_committer 2021-08-06 13:37:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e4da3243f4ee5700be56a4e6487867d8f1172c50

commit e4da3243f4ee5700be56a4e6487867d8f1172c50
Author:     Christer Edwards <christer.edwards@gmail.com>
AuthorDate: 2021-08-06 13:36:24 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-06 13:36:24 +0000

    sysutils/bastille: Update to 0.9.20210714

    Changes:        https://github.com/BastilleBSD/bastille/releases/tag/0.9.20210714

    PR:             257196

 sysutils/bastille/Makefile  | 4 ++--
 sysutils/bastille/distinfo  | 6 +++---
 sysutils/bastille/pkg-plist | 1 +
 3 files changed, 6 insertions(+), 5 deletions(-)
Comment 5 Guangyuan Yang freebsd_committer 2021-08-06 13:38:31 UTC
Committed with modifications, thanks!